- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_client_session_t

# mongoc_client_session_get_client()

## Synopsis

    mongoc_client_t *
    mongoc_client_session_get_client (const mongoc_client_session_t *session);

Returns the mongoc_client_t from which this session was created with mongoc_client_start_session().

## Parameters

- `session`: A mongoc_client_session_t.

### See Also:

mongoc_client_session_advance_cluster_time

mongoc_client_session_advance_operation_time

mongoc_client_session_destroy

mongoc_client_session_get_cluster_time

mongoc_client_session_get_lsid

mongoc_client_session_get_operation_time

mongoc_client_session_get_opts

mongoc_client_session_t

mongoc_client_start_session

mongoc_session_opts_clone

mongoc_session_opts_destroy

mongoc_session_opts_get_causal_consistency

mongoc_session_opts_new

mongoc_session_opts_set_causal_consistency

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.